// ====================================================================
// Template toolbox_skeleton
// This file is released under the 3-clause BSD license. See COPYING-BSD.
// ====================================================================
//
//
function [isRegistered,...
          sendingMessageInformation] = isRegisteredMessagePoint(MessagePointName,...//имя точки обмена сообщениями
                                                                AdresatMessagePointName,...//Имя точки обмена сообщениями адресата
                                                                WaitingRegistered..//Необходимость ожидания регистрации
                                                                )
    //Значения по умолчанию
    nArg = argn(2);//Число аргументов
    if nArg < 2 then
        sendingMessageInformation = [];
        error('This function takes 2 or 3 arguments');
    elseif nArg == 2 then
        WaitingRegistered = %f;
    end
    
    //Делаем запрос относительно точки обмена сообщениями
    exitCondition = %f;//Условие выхода
    while ~exitCondition//Прослушиваем сокет
        sendingMessageInformation = SOCKET_query(MessagePointName,AdresatMessagePointName + ':isRegisteredMessagePoint');//Регистрируем на сервере точку обмена сообщениями
        isRegistered = sendingMessageInformation($,:) == '1';
        exitCondition = ~WaitingRegistered || isRegistered;//Условие выхода
    end
    sendingMessageInformation = sendingMessageInformation(1:$-1,:);
endfunction
// ====================================================================
